# Bakery::Conf::Association< Gtk::ToggleButton > Class Template Reference

`#include <Association.h>`

Inheritance diagram for Bakery::Conf::Association< Gtk::ToggleButton >:

[legend]

List of all members.

## Public Types
typedef Gtk::ToggleButton | type_widget
## Public Member Functions
void | connect_widget (Callback widget_changed)
void | load_widget (std::auto_ptr< Glib::Error > &error)
void | save_widget (std::auto_ptr< Glib::Error > &error)
| Association (const Glib::ustring &full_key, type_widget &widget, bool instant)

### template<>
class Bakery::Conf::Association< Gtk::ToggleButton >

## Member Typedef Documentation

typedef Gtk::ToggleButton Bakery::Conf::Association< Gtk::ToggleButton >::type_widget

## Constructor & Destructor Documentation

Bakery::Conf::Association< Gtk::ToggleButton >::Association | ( | const Glib::ustring & | full_key,
|  | type_widget & | widget,
|  | bool | instant |
| ) |  |  | `[inline]`

## Member Function Documentation

void Bakery::Conf::Association< Gtk::ToggleButton >::connect_widget | ( | Callback | widget_changed | ) | `[inline]`

References Bakery::Conf::AssociationCreation< T_Widget >::m_widget.

void Bakery::Conf::Association< Gtk::ToggleButton >::load_widget | ( | std::auto_ptr< Glib::Error > & | error | ) | `[inline, virtual]`

Implements Bakery::Conf::AssociationBase.

References Bakery::Conf::AssociationBase::get_conf_client(), Bakery::Conf::AssociationBase::get_key(), and Bakery::Conf::AssociationCreation< T_Widget >::m_widget.

void Bakery::Conf::Association< Gtk::ToggleButton >::save_widget | ( | std::auto_ptr< Glib::Error > & | error | ) | `[inline, virtual]`

Implements Bakery::Conf::AssociationBase.

References Bakery::Conf::AssociationBase::get_conf_client(), Bakery::Conf::AssociationBase::get_key(), and Bakery::Conf::AssociationCreation< T_Widget >::m_widget.

The documentation for this class was generated from the following file:

- Association.h